/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2007 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 *
 * $Rev: 2467 $
 * Last modified by $Author: kobit $
 * $Date: 2010-12-30 01:16:22 +0100 (Thu, 30 Dec 2010) $
 */

package tigase.net;

//~--- JDK imports ------------------------------------------------------------

import java.io.IOException;

//~--- interfaces -------------------------------------------------------------

/**
 * Describe interface IOServiceListener here.
 *
 *
 * Created: Mon Jan 30 22:37:51 2006
 *
 * @param <IO>
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 2467 $
 */
public interface IOServiceListener<IO extends IOService<?>> {
	void packetsReady(IO service) throws IOException;

	boolean serviceStopped(IO service);

	void tlsHandshakeCompleted(IO service);
}    // IOServiceListener


//~ Formatted in Sun Code Convention


//~ Formatted by Jindent --- http://www.jindent.com
