
/*
* Tigase Jabber/XMPP Server
* Copyright (C) 2004-2010 "Artur Hefczyc" <artur.hefczyc@tigase.org>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. Look for COPYING file in the top folder.
* If not, see http://www.gnu.org/licenses/.
*
* $Rev: 2353 $
* Last modified by $Author: kobit $
* $Date: 2010-09-12 01:02:28 +0200 (Sun, 12 Sep 2010) $
 */
package tigase.server.xmppsession;

//~--- non-JDK imports --------------------------------------------------------

import tigase.db.AuthRepository;
import tigase.db.UserRepository;

import tigase.util.TigaseStringprepException;

import tigase.vhosts.VHostItem;

import tigase.xmpp.BareJID;
import tigase.xmpp.JID;
import tigase.xmpp.XMPPResourceConnection;

//~--- JDK imports ------------------------------------------------------------

import java.util.logging.Level;
import java.util.logging.Logger;

//~--- classes ----------------------------------------------------------------

/**
 * Created: Feb 27, 2010 8:02:11 PM
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 2353 $
 */
public class SMResourceConnection extends XMPPResourceConnection {

	/**
	 * Constructs ...
	 *
	 *
	 * @param connectionId
	 * @param rep
	 * @param authRepo
	 * @param loginHandler
	 */
	public SMResourceConnection(JID connectionId, UserRepository rep,
			AuthRepository authRepo, SessionManagerHandler loginHandler) {
		super(connectionId, rep, authRepo, loginHandler);

		try {
			setDomain(new VHostItem(loginHandler.getComponentId().getDomain()).getUnmodifiableVHostItem());
		} catch (TigaseStringprepException ex) {
			Logger.getLogger(SMResourceConnection.class.getName()).log(Level.SEVERE, null, ex);
		}
	}

	//~--- get methods ----------------------------------------------------------

	/**
	 * Returns information whether this is a server (SessionManager) session or normal user
	 * session. The server session is used to handle packets addressed to the server itself
	 * (local domain name).
	 * @return a <code>boolean</code> value of <code>true</code> if this is the server session
	 * and <code>false</code> otherwise.
	 */
	@Override
	public boolean isServerSession() {
		return true;
	}

	/**
	 * Method description
	 *
	 *
	 * @param bareJID
	 *
	 * @return
	 */
	@Override
	public boolean isUserId(BareJID bareJID) {
		return isLocalDomain(bareJID.toString(), false);
	}
}


//~ Formatted in Sun Code Convention


//~ Formatted by Jindent --- http://www.jindent.com
